Get source metrics (POST)
POST alternative for GET /sources/metrics. Use when URL length limits are exceeded (e.g., 100+ IDs). Supports both query parameters and request body. Body parameters take precedence over query parameters.
/sources/metricsAuthorizationBearer token · headerrequiredidstring | anyEntity identifier to fetch metrics for
topic_list_frominteger | anyStarting index for topic list pagination
topic_list_sizeinteger | anyNumber of topics to return in the list
fromstring | integer | anyStarting key for cursor-based pagination
sizeinteger | anyNumber of results to return
levelstring | anyMetrics aggregation level (e.g., 'connector', 'task', 'topic')
pageinteger | string | anyPage number for pagination
timestamp_tostring | string<date-time> | anyEnd timestamp for metrics range (ISO 8601, e.g., '2025-01-15T10:00:00Z')
timestamp_fromstring | string<date-time> | anyStart timestamp for metrics range (ISO 8601, e.g., '2025-01-15T09:00:00Z')
time_unitstring | anyTime unit for aggregation (e.g., 'minute', 'hour', 'day')
time_intervalinteger | string | anyTime interval value for aggregation
time_typestring | anyType of time-based query: 'timeseries', 'latest', or 'timesummary'
tenant_idsstring | anyA comma-separated list of Tenant IDs
idsstring | anyA comma-separated list of source IDs
snapshotstring | anySnapshot status filter
sortstring | anyField to sort results by
sort_dirstring | anySort direction: 'asc' or 'desc'
application/jsonidsstring[] | string | anyList of source IDs (as array) or comma-separated string. Body takes precedence over query params.
Show propertiesHide properties
stringstringstringanytenant_idsstring[] | string | anyList of tenant IDs (as array) or comma-separated string. Body takes precedence over query params.
Show propertiesHide properties
stringstringstringanyanySuccessful Response
account_metricsobject | anyShow propertiesHide properties
objectanyconnector_metricsobject | anyShow propertiesHide properties
objectanyinline_metricsobject | anyShow propertiesHide properties
objectanytask_metricsobject | anyShow propertiesHide properties
objectanytopic_metricsobject | anyShow propertiesHide properties
objectanyValidation Error
detailValidationError[]Show propertiesHide properties
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
string | integerstringintegermsgstringrequiredtypestringrequiredinputanyctxobjectcurl -X POST "https://api.streamkap.com/sources/metrics" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ids": [
"string"
],
"tenant_ids": [
"string"
]
}'const response = await fetch("https://api.streamkap.com/sources/metrics", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ids\": [\n \"string\"\n ],\n \"tenant_ids\": [\n \"string\"\n ]\n}"
});import requests
response = requests.post(
"https://api.streamkap.com/sources/metrics",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
data="{\n \"ids\": [\n \"string\"\n ],\n \"tenant_ids\": [\n \"string\"\n ]\n}",
){
"account_metrics": {
"property1": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
},
"property2": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
}
},
"connector_metrics": {
"property1": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
},
"property2": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
}
},
"inline_metrics": {
"property1": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
},
"property2": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
}
},
"task_metrics": {
"property1": {
"property1": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
},
"property2": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
}
},
"property2": {
"property1": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
},
"property2": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
}
}
},
"topic_metrics": {
"property1": {
"property1": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
},
"property2": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
}
},
"property2": {
"property1": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
},
"property2": {
"timeseries": {
"SnapshotMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 500
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 300
}
],
"SnapshotTotalNumberOfEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 100
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingMilliSecondsBehindSource": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 1000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 800
}
],
"StreamingMilliSecondsSinceLastEvent": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 200
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 150
}
],
"StreamingTotalNumberOfCreateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 20
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 35
}
],
"StreamingTotalNumberOfDeleteEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 5
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 8
}
],
"StreamingTotalNumberOfUpdateEventsSeen": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 30
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 45
}
],
"byteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 10000
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 15000
}
],
"recordRetryTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 2
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 3
}
],
"recordSendTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 50
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 70
}
],
"recordWrittenTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 40
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 60
}
],
"sourceRecordWriteTotal": [
{
"timestamp": "2025-03-02 08:00:00",
"value": 25
},
{
"timestamp": "2025-03-02 09:00:00",
"value": 40
}
]
},
"latest": {
"SnapshotCompleted": 2,
"SnapshotMilliSecondsSinceLastEvent": 3600000,
"SnapshotRunning": 0,
"SnapshotTotalNumberOfEventsSeen": 20254,
"StreamingConnected": 1,
"StreamingLastEvent": "position: {ord: 14}, key: {\"id\" : \"\"ceaafb88-2a60-4bd9-8515-719ba64ea05c-close\"\"}",
"StreamingMilliSecondsBehindSource": 500,
"StreamingMilliSecondsSinceLastEvent": 200,
"StreamingTotalNumberOfCreateEventsSeen": 73,
"StreamingTotalNumberOfDeleteEventsSeen": 312,
"StreamingTotalNumberOfUpdateEventsSeen": 0,
"byteTotal": 9018776,
"connector_status": "Active",
"latency": 150,
"recordRetryTotal": 10,
"recordSendTotal": 400,
"recordWrittenTotal": 395,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T10:10:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 27785,
"state": "Streaming",
"streamingState": "connected"
},
"timesummary": {
"SnapshotMilliSecondsSinceLastEvent": 500,
"SnapshotTotalNumberOfEventsSeen": 65,
"StreamingMilliSecondsBehindSource": 200,
"StreamingMilliSecondsSinceLastEvent": 100,
"StreamingTotalNumberOfCreateEventsSeen": 20,
"StreamingTotalNumberOfDeleteEventsSeen": 13,
"StreamingTotalNumberOfUpdateEventsSeen": 25,
"byteTotal": 6000,
"connector_status": "Active",
"latency": 100,
"recordRetryTotal": 5,
"recordSendTotal": 60,
"recordWrittenTotal": 58,
"snapshotState": "completed",
"snapshotStatus": [
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:00:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data1"
},
{
"status": "completed",
"submit_timestamp": "2023-10-01T12:05:00Z",
"topic_id": "source_111111111111111111111111.Test.test_data2"
}
],
"sourceRecordWriteTotal": 547
}
}
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}